Package org.springframework.context.i18n

# Interface LocaleContext

All Known Subinterfaces:
  `TimeZoneAwareLocaleContext`

All Known Implementing Classes:
  `SimpleLocaleContext`, `SimpleTimeZoneAwareLocaleContext`

public interface LocaleContext
Strategy interface for determining the current Locale.

A LocaleContext instance can be associated with a thread via the LocaleContextHolder class.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  - `LocaleContextHolder.getLocale()`
  - `TimeZoneAwareLocaleContext`

## Method Summary

Modifier and Type
Method
Description
`Locale`
`getLocale()`
Return the current Locale, which can be fixed or determined dynamically, depending on the implementation strategy.

## Method Details

### getLocale

@Nullable Locale getLocale()
Return the current Locale, which can be fixed or determined dynamically, depending on the implementation strategy.

Returns:
  the current Locale, or `null` if no specific Locale associated